Hello every one 
i have question about xcode, first i have imac and when i instulled Qt it said i need xcode, and thats why i cant run any Qt project the error is 
" error: Xcode not set up properly. You may need to confirm the license agreement by running /usr/bin/xcodebuild ".
i googled what is xcode and i found out it's IDE , so my questions are 
1- why Qt needs xcode? is ot because on mac ?
2- where to get xcode? i failed trying download it 
i know thats a c++ forum and not Qt , but because bucky introduced it to us through the c++ GUI development ,iam asking this question here on c++ forum .

Many thanks